Subject: bug#53513: 28.0.50; fido-vertical-mode does not work with tramp

From: Michael Albinus <[email-masked]>
Date: Tue, 25 Jan 2022 13:21:10 +0100

[email-masked] writes:

Hi,

> What I type is this:
>
> emacs -Q
> fido-mode
> C-x C-f
> //ssh:hostname:~/
> DEL
>
> for me, this then deletes the whole line. 
>
> fido-mode
> C-x C-f
> //ssh:hostname:/etc/
> DEL
> DEL
>
> also deletes the whole line, maybe that is what is suppoused to happen?

Indeed. The function in question is icomplete-fido-backward-updir, which
behaves as described. It doesn't take into account remote file names.

Whether this is intended or not, I don't know. Bug#43925 covers this
partly, but it isn't about remote file names, and it is applied to Emacs
29 only. I've added João Távora in Cc, the author of fido-mode.

> Thank you!!

Best regards, Michael.